import javax.swing.*;
import java.awt.*;

/**
 @author Barbara Pettazzoni
 
 Questa classe estende un JPanel, e gli associa un'immagine, che pu
 essere riaggiornata richiamando il metodo repaintComponent()
 */

public class ImagePanel extends JPanel 
{

    private Image image;
    private int x;
    private int y;
        
    /**
     Il costruttore richiede oltre alle dimensioni come interi di un
     oggetto di tipo Image.
     */
    public ImagePanel(Image image,int a, int b) {
        this.image = image;
        x=a;
        y=b;
    }
    
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawImage(image, x, y, null);}
        
}